Bug 473343 - nscd fogets hosts upon hibernate/thaw cycle
nscd fogets hosts upon hibernate/thaw cycle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 16:24 EST by Bojan Smojver
Modified: 2009-12-18 01:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:59:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of the failing nscd (5.06 KB, text/plain)
2008-12-09 17:22 EST, Bojan Smojver
no flags Details
Debug output of nscd (22.77 KB, text/plain)
2008-12-09 17:25 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2008-11-27 16:24:29 EST
Description of problem:
nscd "forgets" hosts on hibernate/thaw cycle. Various programs fail etc.

Version-Release number of selected component (if applicable):
2.9-2

How reproducible:
Intermittent.

Steps to Reproduce:
1. Hibernate a machine, then thaw.
2. Use a program such as Evo or screensaver to contact a host on the network.
  
Actual results:
Programs report that hosts are not there.

Expected results:
This worked in F-9.

Additional info:
Workaround is:

service nscd stop
rm -f /var/db/nscd/*
service nscd start

I first noticed that with gnome-screensaver authentication that pops up on thaw. Then I realized that Evo cannot get mail, reporting that the host isn't there.
Comment 1 Bojan Smojver 2008-11-28 16:23:47 EST
This also helps:

# nscd --invalidate=hosts
Comment 2 Ulrich Drepper 2008-12-05 01:31:33 EST
It works just fine for me.

Run nscd in the foreground using

  nscd -d -d -d

and show the output.
Comment 3 Bojan Smojver 2008-12-09 15:44:36 EST
Isn't that a bummer. When you want the darn thing to fail - it doesn't. I haven't seen this for almost two weeks now...
Comment 4 Bojan Smojver 2008-12-09 17:21:14 EST
The moment I said I didn't see it for two weeks, it happened. I'll attach first the strace output of the running nscd and also debug output of the 'ncsd -d -d -d', which I started after stopping the running nscd with 'service nscd stop'. Hope it helps.
Comment 5 Bojan Smojver 2008-12-09 17:22:51 EST
Created attachment 326416 [details]
Strace of the failing nscd

This one was stated with 'service nscd start' before the system was hibernated. In other words, it was just a normal startup, no debugging at all turned on.
Comment 6 Bojan Smojver 2008-12-09 17:25:12 EST
Created attachment 326417 [details]
Debug output of nscd

This one was started with nscd -d -d -d and output captured in this file, as instructed. Note that the user was in the end (after a few tries) able to supply the password on the gnome-screensaver lock screen successfully. I'm guessing nscd recovered from the failed condition eventually...
Comment 7 Bug Zapper 2009-11-18 04:00:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:59:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.